본문 바로가기
[Developer]/Java

[Eclipse] 플러그인 설치시 에러 발생 대처법

by 반가운 해피빈이 2012. 3. 26.

제목처럼 대처법이라고 하기는 조금 난감하지만..
(그리고 분류도 꼭 Java는 아니다.. 딱히 분류가 없어서 만들기도 그렇고 해서 Java에 넣었다)

어쨌든.. 이클립스에서 필요에 따라 플러그인 소프트웨어를 설치할 경우가 있다.

[Help] - [Install New Software...]
여기에서 Work with에서 하나를 선택.
 
그러면 잠시뒤에 Pending...이 뜨더니, 해당되는 리스트가 화면에 뿌려진다.

무엇이 필요할지 몰라서 뜨는걸 전부 체크를 하고 설치를 하는데..

위에 빨간동그라미 X가 뜨고

 The operation cannot be completed.  See the details.


라고 뜨는 것이다.

그래서 아래의 Details를 보니

Cannot complete the install because one or more required items could not be found.

  Software being installed: C/C++ Remote Launch 6.0.0.201202111925 (org.eclipse.cdt.launch.remote.feature.group 6.0.0.201202111925)

  Missing requirement: C/C++ Remote Debug Launcher 2.3.0.201202111925 (org.eclipse.cdt.launch.remote 2.3.0.201202111925) requires 'bundle org.eclipse.rse.ui [3.0.0,4.0.0)' but it could not be found


이러한 말이 떠 있었다.
(예를 들어 본 것이므로 사용자마다 다를 수 있으며, 해당되는 에러는 설치가 어렵다고 판단. 제거하는 방법만 포스팅한다.)

보는 방법은 간단하다.

위의 내용은 본디 다 일반 텍스트로만 되어있어서 무슨에러인지 잘 모르겠으나.. 굵은 글씨가 키 포인트이다.

아래에 있는 C/C++ Remote Debug Launcher 2.3.0.201202111925가 설치되어 있지 않아서 위의 내용이 설치되지 않는다는 이야기이다.

따라서 우리는 두가지 선택을 할 수 있다. 꼭 필요한 것이 아니면 이것만 체크 풀고 제외시킨 후에 Next 버튼을 누르면 진행이 되며,

또 다른 한가지는 아래에 있는 필수요소를 찾아서 먼저 설치 후 진행하는 방식이다.


그러면 원하는 플러그인이 정상적으로 설치되는 것을 경험할 수 있을것이다!


 

댓글0